Skip to main content
GET
/
credit
/
v2
/
assets
/
{asset}
/
collateral
/
{chain}
/
{collateral}
curl --request GET \
  --url 'https://api.sprinter.tech/credit/v2/assets/usdc/collateral/eip155:8453/0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
{
  "collateralAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
  "collateralPriceUsd": 1.0,
  "earnServiceName": "",
  "isEarnVault": false,
  "underlyingAsset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
  "underlyingPriceUsd": 1.0
}
The asset parameter is the credit asset symbol — currently supported values are usdc and eure. The chain parameter uses CAIP-2 format: eip155:<chainId>. For example, eip155:8453 for Base or eip155:1 for Ethereum. See Supported Chains for the full list.
curl --request GET \
  --url 'https://api.sprinter.tech/credit/v2/assets/usdc/collateral/eip155:8453/0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
{
  "collateralAddress": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
  "collateralPriceUsd": 1.0,
  "earnServiceName": "",
  "isEarnVault": false,
  "underlyingAsset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
  "underlyingPriceUsd": 1.0
}
Machine-readable API spec: OpenAPI JSON | Swagger UI

Path Parameters

asset
string
required

Credit asset symbol (e.g. usdc, eure)

chain
string
required

Chain ID in CAIP-2 format

collateral
string
required

Collateral asset address

Response

OK

data
object